CREATE GROUP(7)

NAME
CREATE_GROUP - define a new database role

SYNOPSIS

CREATE GROUP name [ [ WITH ] option [ ... ] ]
where option can be:
      SUPERUSER | NOSUPERUSER
    | CREATEDB | NOCREATEDB
    | CREATEROLE | NOCREATEROLE
    | INHERIT | NOINHERIT
    | LOGIN | NOLOGIN
    | [ ENCRYPTED | UNENCRYPTED ] PASSWORD 'password'
    | VALID UNTIL 'timestamp'
    | IN ROLE role_name [, ...]
    | IN GROUP role_name [, ...]
    | ROLE role_name [, ...]
    | ADMIN role_name [, ...]
    | USER role_name [, ...]
    | SYSID uid

DESCRIPTION

CREATE GROUP is now an alias for CREATE ROLE (CREATE_ROLE(7)).

COMPATIBILITY

There is no CREATE GROUP statement in the SQL standard.

SEE ALSO
CREATE ROLE (CREATE_ROLE(7))